# Element Summary

Element | Description | Class
--- | --- | ---
component | XSLT component | org.apache.servicemix.saxon.SaxonComponent
exchange-target | An ExchangeTarget may be used to specify the target of an exchange, while retaining all the JBI features (interface based routing, service name based routing or endpoint routing). | org.apache.servicemix.saxon.support.ExchangeTarget
proxy |  | org.apache.servicemix.saxon.XsltProxyEndpoint
xquery |  | org.apache.servicemix.saxon.XQueryEndpoint
xslt |  | org.apache.servicemix.saxon.XsltEndpoint

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
endpoints | (proxy | xquery | xslt)* |
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.

## Element: exchange-target

Attribute | Type | Description
--- | --- | ---
endpoint | xs:string |
interface | xs:QName |
operation | xs:QName |
service | xs:QName |
uri | xs:string |

## Element: proxy

Attribute | Type | Description
--- | --- | ---
copyAttachments | xs:boolean | Copy attachments into the resulting normalized message. Defaults to `true`.
copyProperties | xs:boolean | Copy properties into the resulting normalized message. Defaults to `true`.
copySubject | xs:boolean | Copy the security subject into the resulting normalized message. Defaults to `true`.
endpoint | xs:string | Get the endpoint implementation.
expression | xs:string | Expression to dynamically determine the stylesheet to use for processing the exchange.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
reload | xs:boolean | Sets whether the endpoint should reload the resource each time it is used. A value of `true` will ensure that the resource is not cached which can be useful if the resource is updated regularly and is stored outside of the service unit.
result | xs:string | The output result type, possible values are dom, bytes, string. Defaults to dom.
service | xs:QName | Get the service qualified name of the endpoint.
useDomSourceForXslt | xs:boolean | Convert the XSL-T stylesheet Sources into a DOMSource. Defaults to `true.`

Element | Type | Description
--- | --- | ---
configuration | <spring:bean/> | Additional configuration for the Saxon XSL-T/XQuery processor.
faultResource | <spring:bean/> | Spring Resource for the XSL-T stylesheet or XQuery file to use for transforming the 'fault' message.
outResource | <spring:bean/> | Spring Resource for the XSL-T stylesheet or XQuery file to use for transforming the 'out' message.
parameters | <spring:bean/> | Add parameter names and values that are available during XSL/XQuery processing.
resource | <spring:bean/> | Spring Resource for the XSL-T stylesheet or XQuery file to use.
sourceTransformer | <spring:bean/> | Set a SourceTransformer instance to use for handling XML conversions.
store | <spring:bean/> | Configure a custom Store implementation to store correlation information. Usually, a store factory is configured instead of a store. Defaults to {@link org.apache.servicemix.store.memory.MemoryStore}.
storeFactory | <spring:bean/> | Configure a custom StoreFactory implementation to store correlation information. Defaults to {@link org.apache.servicemix.store.memory.MemoryStoreFactory}.
target | exchange-target | Set the target endpoint that is being proxied by the `xslt:proxy` endpoint.
transformerFactory | <spring:bean/> | Set a transform factory, e.g. for injecting a custom transformer configuration or implementation.
useDomSourceForContent | <spring:bean/> | Convert the message body Source into a DOMSource. Defaults to `false.`
wsdlResource | <spring:bean/> | Resource referring to the WSDL resource that defines this endpoint.

## Element: xquery

Attribute | Type | Description
--- | --- | ---
copyAttachments | xs:boolean | Copy attachments into the resulting normalized message. Defaults to `true`.
copyProperties | xs:boolean | Copy properties into the resulting normalized message. Defaults to `true`.
copySubject | xs:boolean | Copy the security subject into the resulting normalized message. Defaults to `true`.
endpoint | xs:string | Get the endpoint implementation.
expression | xs:string | Expression to dynamically determine the stylesheet to use for processing the exchange.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
query | xs:string | Configure the XQuery expression to evaluate.
reload | xs:boolean | Sets whether the endpoint should reload the resource each time it is used. A value of `true` will ensure that the resource is not cached which can be useful if the resource is updated regularly and is stored outside of the service unit.
result | xs:string | The output result type, possible values are dom, bytes, string. Defaults to dom.
service | xs:QName | Get the service qualified name of the endpoint.

Element | Type | Description
--- | --- | ---
configuration | <spring:bean/> | Additional configuration for the Saxon XSL-T/XQuery processor.
outputProperties | <spring:bean/> | Configure serialization properties, in JAXP format, if the result is to be serialized. This parameter can be defaulted to null.
parameters | <spring:bean/> | Add parameter names and values that are available during XSL/XQuery processing.
resource | <spring:bean/> | Spring Resource for the XSL-T stylesheet or XQuery file to use.
sourceTransformer | <spring:bean/> | Set a SourceTransformer instance to use for handling XML conversions.
wsdlResource | <spring:bean/> | Resource referring to the WSDL resource that defines this endpoint.

## Element: xslt

Attribute | Type | Description
--- | --- | ---
copyAttachments | xs:boolean | Copy attachments into the resulting normalized message. Defaults to `true`.
copyProperties | xs:boolean | Copy properties into the resulting normalized message. Defaults to `true`.
copySubject | xs:boolean | Copy the security subject into the resulting normalized message. Defaults to `true`.
endpoint | xs:string | Get the endpoint implementation.
expression | xs:string | Expression to dynamically determine the stylesheet to use for processing the exchange.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
reload | xs:boolean | Sets whether the endpoint should reload the resource each time it is used. A value of `true` will ensure that the resource is not cached which can be useful if the resource is updated regularly and is stored outside of the service unit.
result | xs:string | The output result type, possible values are dom, bytes, string. Defaults to dom.
service | xs:QName | Get the service qualified name of the endpoint.
useDomSourceForXslt | xs:boolean | Convert the XSL-T stylesheet Source into a DOMSource. Defaults to `true.`

Element | Type | Description
--- | --- | ---
configuration | <spring:bean/> | Additional configuration for the Saxon XSL-T/XQuery processor.
parameters | <spring:bean/> | Add parameter names and values that are available during XSL/XQuery processing.
resource | <spring:bean/> | Spring Resource for the XSL-T stylesheet or XQuery file to use.
sourceTransformer | <spring:bean/> | Set a SourceTransformer instance to use for handling XML conversions.
transformerFactory | <spring:bean/> | Set a transform factory, e.g. for injecting a custom transformer configuration or implementation.
useDomSourceForContent | <spring:bean/> | Convert the message body Source into a DOMSource. Defaults to `false.`
wsdlResource | <spring:bean/> | Resource referring to the WSDL resource that defines this endpoint.